require 'class'

-- FIELDS
local _Instance = {}
local StageManager = require 'stagemanager'
local _StageManager = {}
local ARENA_BUFFER = 10

-- CONSTRUCTOR
local M=class(function(self, stage, controllers)
	_StageManager = StageManager(stage, controllers)
	_StageManager:createView("setupcontroller")
	love.window.setTitle("LoveTank - 0.2.0")
	love.graphics.setBackgroundColor(255,255,255)
	math.randomseed(os.time())
end)

function M:startGame(playerList)
	_StageManager:createView("gamecontroller", {playerList, ARENA_BUFFER})
end

function M:getStageManager()
	return _StageManager
end

function M:quit()
	love.event.quit()
end

return M



