require 'class'

local _DisplayFreezeInstruction = true

local M=class(function(self)

end)

-- OPERATIONS
function M:displayStepInstruction()
	_DisplayFreezeInstruction = false
end

function M:displayFreezeInstruction()
	_DisplayFreezeInstruction = true
end

-- STAGE FRAMEWORK
function M:update(dt)
end

function M:draw()
	-- Draw the arena
	love.graphics.setColor(171, 164, 150, 255)
	-- Left
	love.graphics.rectangle("fill", 0, 0, 10, love.graphics.getHeight())
	-- Top
	love.graphics.rectangle("fill", 0, 0, love.graphics.getWidth(), 10)
	-- Right
	love.graphics.rectangle("fill", love.graphics.getWidth() - 10, 0, 10, love.graphics.getHeight())
	-- Bottom
	love.graphics.rectangle("fill", 0, love.graphics.getHeight() - 10, love.graphics.getWidth(), 10)
	-- Show the FPS and instructions
	love.graphics.setColor(0, 0, 0, 255)
	if _DisplayFreezeInstruction then
		love.graphics.print("FPS: "..love.timer.getFPS().." Press 'Space Bar' to freeze simulation", 0, 0)
	else
		love.graphics.print("FPS: "..love.timer.getFPS().." Press 'a' to advance one frame, 'Space Bar' to resume simulation", 0, 0)
	end
	
	-- TODO 0 Move or fix
	-- Draw the bullets
	for iter = 1, #_BulletList, 1 do
		love.graphics.draw(_BulletDrawable, _BulletList[iter][1], _BulletList[iter][2], _BulletList[iter][3], 1, 1, _BulletDrawable:getWidth() / 2)
	end
end

function M:mousepressed(x, y, button)
end

function M:mousereleased(x, y, button)
end

-- LOGIC

return M
